pkgsrc-WIP-changes archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

bigloo: first attempts



Module Name:	pkgsrc-wip
Committed By:	Kevin Bloom <kevin.bloom%posteo.net@localhost>
Pushed By:	nuclearkev
Date:		Fri Oct 11 22:15:20 2024 -0400
Changeset:	87809c3001cbcc526a55c9194dbe05a244433c80

Added Files:
	bigloo/DESCR
	bigloo/Makefile
	bigloo/PLIST
	bigloo/TODO
	bigloo/distinfo
	bigloo/patches/patch-configure

Log Message:
bigloo: first attempts

To see a diff of this commit:
https://wip.pkgsrc.org/cgi-bin/gitweb.cgi?p=pkgsrc-wip.git;a=commitdiff;h=87809c3001cbcc526a55c9194dbe05a244433c80

Please note that diffs are not public domain; they are subject to the
copyright notices on the relevant files.

diffstat:
 bigloo/DESCR                   | 16 ++++++++++++++
 bigloo/Makefile                | 47 ++++++++++++++++++++++++++++++++++++++++++
 bigloo/PLIST                   |  4 ++++
 bigloo/TODO                    |  4 ++++
 bigloo/distinfo                |  6 ++++++
 bigloo/patches/patch-configure | 34 ++++++++++++++++++++++++++++++
 6 files changed, 111 insertions(+)

diffs:
diff --git a/bigloo/DESCR b/bigloo/DESCR
new file mode 100644
index 0000000000..b466dba35a
--- /dev/null
+++ b/bigloo/DESCR
@@ -0,0 +1,16 @@
+Bigloo is a Scheme development environment that includes a compiler
+generating C code and Java classes, and an interpreter. Bigloo is
+the tool of choice for building autonomous applications in Scheme.
+It is mostly conformant to the Revised5 Report on the Algorithmic
+Language Scheme with many extensions:
+  - lexical and syntactic builtin parser generators;
+  - pattern-matching;
+  - foreign languages interface (connection to C and to Java);
+  - modules;
+  - object-oriented class-based programming;
+  - preemptive multi-threading;
+  - unicode characters and strings;
+  - posix programming (process, pipe, socket);
+  - openssl;
+  - multimedia libraries;
+  - event loops and event-based programming (libuv).
diff --git a/bigloo/Makefile b/bigloo/Makefile
new file mode 100644
index 0000000000..d38cdc9428
--- /dev/null
+++ b/bigloo/Makefile
@@ -0,0 +1,47 @@
+# $NetBSD$
+
+DISTNAME=	bigloo-4.5b
+CATEGORIES=	lang
+MASTER_SITES=	ftp://ftp-sop.inria.fr/indes/fp/Bigloo/
+
+MAINTAINER=	ktnb%NetBSD.org@localhost
+HOMEPAGE=	ftp://ftp-sop.inria.fr/indes/fp/Bigloo/
+COMMENT=	Scheme development environment
+LICENSE=	gnu-gpl-v2
+
+CHECK_PORTABILITY_SKIP+=	api-contribs/bigloo-with-dbus/configure
+
+USE_LANGUAGE=	c c++
+USE_TOOLS=	gmake autoconf automake alocal pkg-config
+HAS_CONFIGURE=		yes
+GNU_CONFIGURE=	yes
+
+# TODO: do this better
+C_ARGS=	--prefix=${PREFIX} --mandir=/usr/pkg/man
+C_ARGS+=	--customgc=no
+C_ARGS+=	--gccustominstall=skip
+C_ARGS+=	--gclibdir=${PREFIX}/lib
+C_ARGS+=	--gcincdir=${PREFIX}/include
+C_ARGS+=	--customlibuv=no
+C_ARGS+=	--disable-pcre
+C_ARGS+=	--disable-pcre2
+C_ARGS+=	--customunistring=no
+C_ARGS+=	--disable-libbacktrace
+
+do-configure:
+	cd ${WRKSRC} && ./configure ${C_ARGS}
+
+#TODO: do this better as well
+do-build:
+	cd ${WRKSRC} && ${MAKE_ENVS} LDFLAGS="${LDFLAGS}" CFLAGS="${CFLAGS}" ${GMAKE}
+
+
+.include "../../devel/boehm-gc/buildlink3.mk"
+.include "../../devel/gmp/buildlink3.mk"
+.include "../../devel/libuv/buildlink3.mk"
+.include "../../devel/pcre2/buildlink3.mk"
+.include "../../textproc/libunistring/buildlink3.mk"
+#.include "../../wip/libbacktrace/buildlink3.mk"
+.include "../../mk/dlopen.buildlink3.mk"
+BUILDLINK_TRANSFORM+=     opt:-ldl:${BUILDLINK_LDADD.dl:Q}
+.include "../../mk/bsd.pkg.mk"
diff --git a/bigloo/PLIST b/bigloo/PLIST
new file mode 100644
index 0000000000..92ba51a2d7
--- /dev/null
+++ b/bigloo/PLIST
@@ -0,0 +1,4 @@
+@comment $NetBSD$
+@comment TODO: to fill this file with the file listing:
+@comment TODO: 1. run "/usr/bin/make package"
+@comment TODO: 2. run "/usr/bin/make print-PLIST"
diff --git a/bigloo/TODO b/bigloo/TODO
new file mode 100644
index 0000000000..d6d710a5de
--- /dev/null
+++ b/bigloo/TODO
@@ -0,0 +1,4 @@
+- get it compiling
+- fix up Makefile
+- test
+
diff --git a/bigloo/distinfo b/bigloo/distinfo
new file mode 100644
index 0000000000..a9f4e1e89a
--- /dev/null
+++ b/bigloo/distinfo
@@ -0,0 +1,6 @@
+$NetBSD$
+
+BLAKE2s (bigloo-4.5b.tar.gz) = 4916b6d5eb9380d18d150e7a4173fadd68ecc4763cffd58c01e9c6ed23aaa6a2
+SHA512 (bigloo-4.5b.tar.gz) = 7810f9895ea373f716cd2c93a7b1072d289e2b333632b5b4f293a6317f31a56d2b098790763e96c2d15ce212dafb45c70ec6a7941a344fb8c53a3ef3c6b67feb
+Size (bigloo-4.5b.tar.gz) = 59015812 bytes
+SHA1 (patch-configure) = 92140458411a3d991d4aa776006b3297778b8d11
diff --git a/bigloo/patches/patch-configure b/bigloo/patches/patch-configure
new file mode 100644
index 0000000000..e76fcd2765
--- /dev/null
+++ b/bigloo/patches/patch-configure
@@ -0,0 +1,34 @@
+$NetBSD$
+
+--- configure.orig	2024-10-07 15:20:45.211224545 +0000
++++ configure
+@@ -2119,18 +2119,18 @@ if [ $action = "all" -o $action = "biglo
+ fi
+ 
+ # checking patch
+-patch=$PATCH
++#patch=$PATCH
+ 
+-if [ "$patch " = " " ]; then
+-  patch=patch
+-fi
+-
+-$patch --help 2> /dev/null > /dev/null
+-
+-if [ $? != 0 ]; then
+-  $echo "*** ERROR: patch ($patch) command not found. Aborting..." >&2;
+-  exit 1;
+-fi
++#if [ "$patch " = " " ]; then
++#  patch=patch
++#fi
++
++#$patch --help 2> /dev/null > /dev/null
++
++#if [ $? != 0 ]; then
++#  $echo "*** ERROR: patch ($patch) command not found. Aborting..." >&2;
++#  exit 1;
++#fi
+   
+ #*---------------------------------------------------------------------*/
+ #*    Executable names                                                 */


Home | Main Index | Thread Index | Old Index